# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'snapchain/version'

Gem::Specification.new do |spec|
  spec.name          = "snapchain"
  spec.version       = Snapchain::VERSION
  spec.authors       = ["Eric Scrivner"]
  spec.email         = ["escrivner@coinbase.com"]

  spec.summary       = %q{Manage snapshots of a blockchain for quick node deployments.}
  spec.description   = %q{Provides a library and set of services for wrapping a syncing blockchain node and taking regular snapshots of its chain state. A separate service restores backups for speedy node deployments.}
  spec.homepage      = "https://github.com/coinbase/snapchain"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
